//kao arg. komandne linije su prosledjena dva fajla
//treba da napisemo u kojim linijama se razlikuju
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define MAX_LINE 100

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}
int main(int argc, char **argv){
	if(argc != 3)
		greska();
	
	FILE *f1 = fopen(argv[1], "r");
	if(f1 == NULL)
		greska();
	
	FILE *f2 = fopen(argv[2], "r");
	if(f2 == NULL)
		greska();
	
	char l1[MAX_LINE];
	char l2[MAX_LINE];
	int i = 0;
	while(1){
		char *t1 = fgets(l1, MAX_LINE, f1);
		char *t2 = fgets(l2, MAX_LINE, f2);
		
		if(t1 == NULL && t2 == NULL)
			break;
		else if(t1 == NULL && t2 != NULL){
			printf("linija %d: ne postoji u prvoj dat.\n", i);
		}
		else if(t1 != NULL && t2 == NULL){
			printf("linija %d: ne postoji u drugoj dat.\n", i);
		}
		else {
			//ovde znamo da smo citali 
			//iz obe datoteke uspesno
			if(strcmp(l1, l2) == 0){
				printf("linija %d: iste su\n", i);
			}
			else
				printf("linija %d: postoji razlika\n", i);
		}
		i++;
	}
	
	fclose(f1);
	fclose(f2);
	
	return 0;
}