#include <stdio.h>
#include <stdlib.h>

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

//brojimo zagrade, svaki put kad naletimo na ( +1
//na zatvorenu ( -1.
//ako u bilo kom trenutku naletimo na negativan broj 
//znaci da nije dobro.
//kada zavrsimo citanje, ako je zbir 0 onda je ok
//ako nije 0 onda nije dobro.

int main(int argc, char **argv){
	if(argc != 2)
		greska();
	
	FILE *f = fopen(argv[1], "r");
	if(f == NULL)
		greska();
	
	char c;
	int zbir = 0;
	while((c = fgetc(f))!= EOF){
		if(c == '(')
			zbir++;
		else if(c == ')')
			zbir--;
		
		if(zbir < 0)
			break;
	}
	
	fclose(f);
	
	if(zbir == 0)
		printf("ispravno\n");
	else 
		printf("nesipravno\n");
}