#include <stdio.h>
#include <stdlib.h>
#define MAX_DIM 100
void greska(char *s){
	printf("greska: %s\n", s);
	exit(EXIT_FAILURE);
}

int main(int argc, char **argv){
	if(argc != 3)
		greska("-1");
	
	int m = atoi(argv[1]);
	int n = atoi(argv[2]);
	
	int mat[MAX_DIM][MAX_DIM];
	int i, j;
	for(i = 0; i < m; i++)
		for(j = 0; j < n; j++)
			scanf("%d", &mat[i][j]);
		
	//prolazimo kroz sve elemente matrice i ispitujemo
	//da li su sedlo?
	for(i = 0; i < m; i++)
		for(j = 0; j < n; j++){
			int k;
			//najmanji u vrsti
			//moramo da izracunamo minimum cele vrste
			int min = mat[i][0];
			for(k = 1; k < n; k++){
				if(mat[i][k] < min)
					min = mat[i][k];
			}
			
			//najveci u koloni
			//moramo da izracunamo max cele kolone
			int max = mat[0][j];
			for(k = 1; k < m; k++)
				if(mat[k][j] > max)
					max = mat[k][j];
				
			if(mat[i][j] == max && mat[i][j] == min){
				printf(
					"sedlo, indeksi: %d %d, a vrednost je %d\n",
					i, j, mat[i][j]);
			}
		}
}